int main(int argc, char *argv[]){
	int rank, nbProcs;
	double *h,*g;
	int i;
	MPI_Init(&argc, &argv);
	<@\textcolor{red}{FTI\_Init}@>(argv[1], MPI_COMM_WORLD);
	MPI_Comm_size(<@\textcolor{red}{FTI\_COMM\_WORLD}@>, &nbProcs);
	MPI_Comm_rank(<@\textcolor{red}{FTI\_COMM\_WORLD}@>, &rank);
	cudaMallocManaged(&h,sizeof(double)*nElements, flags);
	cudaMalloc(&g,sizeof(double)*nElements);
	initData(&h,&g);
	<@\textcolor{red}{FTI\_Protect}@>(0, &i, 1, FTI_INTG);
	<@\textcolor{red}{FTI\_Protect}@>(1, h, nElements, FTI_DBLE);
	<@\textcolor{red}{FTI\_Protect}@>(2, g, nElements, FTI_DBLE);
	for(i = 0; i < N; i++){
		<@\textcolor{red}{FTI\_Snapshot}@>();
		performComputations(h,g,i);
	}
	<@\textcolor{red}{FTI\_Finalize}@>();
	MPI_Finalize();
}

